%define oname   debugger-ruby_core_source

Name:       ruby-%{oname}
Version:    1.3.8
Release:    %mkrel 3
Summary:    Provides Ruby core source files for C extensions that need them
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildArch:  noarch

%description
Fork of ruby_core_source that uses included Ruby headers (*.h and *.inc)
instead of downloading them. Used by debugger.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.8-3.mga8
+ Revision: 1499723
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.8-2.mga7
+ Revision: 1275120
- Mageia 7 Mass Rebuild

* Sun Jan 03 2016 pterjan <pterjan> 1.3.8-1.mga6
+ Revision: 918624
- Update to 1.3.8
- Make the package noarch

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-7.mga5
+ Revision: 741089
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-6.mga5
+ Revision: 688784
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.2.3-5.mga4
+ Revision: 561838
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.2.3-4.mga4
+ Revision: 561157
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 535384
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.3-2.mga4
+ Revision: 481951
- Rebuild for Ruby 2

* Mon Sep 16 2013 pterjan <pterjan> 1.2.3-1.mga4
+ Revision: 480422
- 1.2.3
- use gem_setup
- fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 395845
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.6-2.mga3
+ Revision: 380807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.1.6-1.mga3
+ Revision: 343585
- new version 1.1.6

* Mon Nov 05 2012 shlomif <shlomif> 1.1.4-1.mga3
+ Revision: 314393
- No tabs
- Importing the ruby-debugger-ruby_core_source pkg based on Mga ruby-nokogiri

